# soap fault node
[SOAP]

## Functions
AXIS2_EXTERN axiom_soap_fault_node_t * | axiom_soap_fault_node_create_with_parent (const axutil_env_t *env, axiom_soap_fault_t *fault)
AXIS2_EXTERN void | axiom_soap_fault_node_free (axiom_soap_fault_node_t *fault_node, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_soap_fault_node_set_value (axiom_soap_fault_node_t *fault_node, const axutil_env_t *env, axis2_char_t *fault_val)
AXIS2_EXTERN axis2_char_t * | axiom_soap_fault_node_get_value (axiom_soap_fault_node_t *fault_node, const axutil_env_t *env)
AXIS2_EXTERN axiom_node_t * | axiom_soap_fault_node_get_base_node (axiom_soap_fault_node_t *fault_node, const axutil_env_t *env)

## Function Documentation

AXIS2_EXTERN axiom_soap_fault_node_t* axiom_soap_fault_node_create_with_parent | ( | const axutil_env_t * | env,
|  | axiom_soap_fault_t * | fault |
| ) |  |  |

creates a soap fault node struct

Parameters:

  | env | Environment. MUST NOT be NULL
  | fault_node | pointer to soap_fault_node struct

Returns:
  the created SOAP fault node

AXIS2_EXTERN void axiom_soap_fault_node_free | ( | axiom_soap_fault_node_t * | fault_node,
|  | const axutil_env_t * | env |
| ) |  |  |

Free an axiom_soap_fault_node

Parameters:

  | fault_node | pointer to soap_fault_node struct
  | env | Environment. MUST NOT be NULL

Returns:
  satus of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axiom_node_t* axiom_soap_fault_node_get_base_node | ( | axiom_soap_fault_node_t * | fault_node,
|  | const axutil_env_t * | env |
| ) |  |  |

Get the base node of the SOAP fault node

Parameters:

  | fault_node | pointer to soap_fault_node struct
  | env | Environment. MUST NOT be NULL

Returns:
  the base node of the fault node

AXIS2_EXTERN axis2_char_t* axiom_soap_fault_node_get_value | ( | axiom_soap_fault_node_t * | fault_node,
|  | const axutil_env_t * | env |
| ) |  |  |

Get the string value of the SOAP fault node

Parameters:

  | fault_node | pointer to soap_fault_node struct
  | env | Environment. MUST NOT be NULL

Returns:
  satus of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axiom_soap_fault_node_set_value | ( | axiom_soap_fault_node_t * | fault_node,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | fault_val |
| ) |  |  |

Set the fault string value of the SOAP fault node

Parameters:

  | fault_node | pointer to soap_fault_node struct
  | env | Environment. MUST NOT be NULL
  | fault_val | the fault string value

Returns:
  satus of the op. AXIS2_SUCCESS on success else AXIS2_FAILURE